package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNDescriptions {
    DSCP1("Klient se vyhýbá očnímu kontaktu"), 
    DSCP2("Klient je podezřelý"), 
    DSCP3("Je to fešák"), 
    DSCP4("Spěchá domů za manželkou");
    
    private final String value;
    private static final Random random = new Random();
    
    KSNDescriptions(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
    
    public static KSNDescriptions getRandomDescription() {
        int i = random.nextInt(KSNDescriptions.values().length);
        return KSNDescriptions.values()[i];
    }

    public static String getRandomDescriptionValue() {
        int i = random.nextInt(KSNDescriptions.values().length);
        return KSNDescriptions.values()[i].getValue();
    }
}
